HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostTreasuryOutboundTransfersOutboundTransferCancel

Contains the different functions to run the operation postTreasuryOutboundTransfersOutboundTransferCancel

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostTreasuryOutboundTransfersOutboundTransferCancel.hs
valuepostTreasuryOutboundTransfersOutboundTransferCancel
  1. :: MonadHTTP m
  2. => Text

    outbound_transfer | Constraints: Maximum length of 5000

  3. -> Maybe PostTreasuryOutboundTransfersOutboundTransferCancelRequestBody

    The request body to send

  4. -> ClientT m (Response PostTreasuryOutboundTransfersOutboundTransferCancelResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/treasury/outbound_transfers/{outbound_transfer}/cancel

<p>An OutboundTransfer can be canceled if the funds have not yet been paid out.</p>

Defines the object schema located at paths./v1/treasury/outbound_transfers/{outbound_transfer}/cancel.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postTreasuryOutboundTransfersOutboundTransferCancel.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostTreasuryOutboundTransfersOutboundTransferCancelResponseError is used.

Instances2Eq, Show